Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.api.plugin
Class RequestInfo

    java.lang.Object
      com.bea.wlcp.wlng.api.plugin.RequestInfo

Direct Known Subclasses:
  AddressRequestInfo, CorrelatorRequestInfo, PluginIDRequestInfo, RegistrationIdentifierRequestInfo, RequestIdentifierRequestInfo

public class RequestInfo
extends Object

Plug-in request info used collect information about a specific application request.

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Constructor Summary
`RequestInfo(Class type, Method method, Object[] args)`

Method Summary
`Object` | `getArgument(int index)` Gets the argument on specific index.
`Object[]` | `getArguments()` Gets the arguments for the request.
`Method` | `getMethod()` Gets the method used to make call to the plugin.
`String` | `getMethodName()` Gets the method name used to make call to the plugin.
`Class` | `getType()` Gets the plugin type.
`boolean` | `isForAllPlugins()`
`void` | `setForAllPlugins(boolean isForAllPlugins)` This method is deprecated.
`String` | `toShortString()` Returns a string representing the specifics of the requestInfo For the super class RequestInfo this will be the empty string

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestInfo

    public RequestInfo(Class type,
                       Method method,
                       Object[] args)

Method Detail

### getArgument

    public Object getArgument(int index)

  Gets the argument on specific index.

  Parameters:
    `index` - Index
  Returns:
    The argument or null

### getArguments

    public Object[] getArguments()

  Gets the arguments for the request.

  Returns:
    The arguments.

### getMethod

    public Method getMethod()

  Gets the method used to make call to the plugin.

  Returns:
    The method.

### getMethodName

    public String getMethodName()

  Gets the method name used to make call to the plugin.

  Returns:
    The method name.

### getType

    public Class getType()

  Gets the plugin type.

  Returns:
    The type.

### isForAllPlugins

    public boolean isForAllPlugins()

### setForAllPlugins

    public void setForAllPlugins(boolean isForAllPlugins)

  This method is deprecated. Use the customMatch() method in the ManagedPlugin to indicate that a request must be sent to all the plugins.

### toShortString

    public String toShortString()

  Returns a string representing the specifics of the requestInfo For the super class RequestInfo this will be the empty string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD